Subject: Re: bug#57267: 28.1; emacs crashes when loading too many images

From: [email-masked]
Date: Sat, 20 Aug 2022 12:23:58 -0400

> Could it be that one or more jpegs of yours is invalid in some way?
Maybe you could check this with the 'jpeginfo' utitlity.  I've never
used it myself, because I don't have a use for it, but from what I read,
it might be able to detect at least some error cases.  Maybe it's worth
trying.

Do you think that would lead to a crash every time? My crashes are very inconsistent.

> Another idea might be to try and install an external jpeg library
(libjpeg I presume), and configure Emacs to use it.  Alas, this doesn't
seem to work on my M1 Mac, but maybe it does on your x86_64 system.

Can you point me to some documentation for that?

> 
> -------------------------------------------------------------------------------
> 
> 2022-08-19 10:09:53.301888-0400 emacs[92880:17395371] fopen failed for data file: errno = 2 (No such file or directory) (hmnn?)
> 
> This time I had to use:
> 
> /Users/james/Code/emacs/src/emacs
> 
> instead of $ lldb ../nextstep/Emacs.app/Contents/MacOS/Emacs (which crashed on startup)
> 

I don't quite understand.  I've seen to open errors in your log.  Are
you saying that these happen because you started Emacs from src this
time?  FWIW, I don't see differences when starting one or the other.

> On Aug 20, 2022, at 2:34 AM, Gerd Möllmann <[email-masked]> wrote:
> 
> Could it be that one or more jpegs of yours is invalid in some way?
> Maybe you could check this with the 'jpeginfo' utitlity.  I've never
> used it myself, because I don't have a use for it, but from what I read,
> it might be able to detect at least some error cases.  Maybe it's worth
> trying.
> 
> Another idea might be to try and install an external jpeg library
> (libjpeg I presume), and configure Emacs to use it.  Alas, this doesn't
> seem to work on my M1 Mac, but maybe it does on your x86_64 system.
> 
> In any case, this doesn't look like a problem to me that is caused by
> Emacs.
> 
>> 
>> -------------------------------------------------------------------------------
>> 
>> 2022-08-19 10:09:53.301888-0400 emacs[92880:17395371] fopen failed for data file: errno = 2 (No such file or directory) (hmnn?)
>> 
>> This time I had to use:
>> 
>> /Users/james/Code/emacs/src/emacs
>> 
>> instead of $ lldb ../nextstep/Emacs.app/Contents/MacOS/Emacs (which crashed on startup)
>> 
> 
> I don't quite understand.  I've seen to open errors in your log.  Are
> you saying that these happen because you started Emacs from src this
> time?  FWIW, I don't see differences when starting one or the other.